/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		exceptions.h
|
| Descr.:	Includes for all exception handling
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _EXCEPT_H	// Don't include more than once (last line = #endif)
#define _EXCEPT_H

//------------------------------------------------------------------------
// Typedefs, enums, etc.
//------------------------------------------------------------------------

enum WARNING_MESSAGES
{
	WARN_SERIAL_BITRATE,
	SERIAL_TXQUEUE_OVERRUN,
	SERIAL_RXQUEUE_OVERRUN,
	WARN_TIMER2_RATE,
	WARN_ISR_UNKNOWN_HPI,
	WARN_ISR_UNKNOWN_LPI,
	WARN_CAN_BITRATE,
	WARN_CAN_FILTER_NUM,
	WARN_CAN_MASK_NUM,
	WARN_CAN_BAD_TX_DLC,
	WARN_CAN_BAD_TX_ID,
	WARN_CAN_TXB2_NOT_EMPTY,
	WARN_CAN_TX2_QUEUE_EMPTY,
	WARN_CAN_TX2_QUEUE_OVERFLOW,
	WARN_CAN_TX1_QUEUE_OVERFLOW,
	WARN_CAN_TX0_QUEUE_OVERFLOW
};


//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------


//------------------------------------------------------------------------
// Function declarations
//------------------------------------------------------------------------

void throwWarning (enum WARNING_MESSAGES warningMessage);

//------------------------------------------------------------------------
// Global variable declarations (extern)
//------------------------------------------------------------------------

#endif    			// _EXCEPT_H





